Loading...
Searching...
No Matches
IndexErrorException Class Reference

Class to allow us to throw an `IndexError` from C++ and have it make it back to Python. More...

`#include <Exceptions.h>`

Inheritance diagram for IndexErrorException:

## Public Member Functions

| IndexErrorException (int i)
int | index () const
const char * | what () const noexcept override
| ~IndexErrorException () noexcept override=default

## Detailed Description

Class to allow us to throw an `IndexError` from C++ and have it make it back to Python.

Definition at line 21 of file Exceptions.h.

## Constructor & Destructor Documentation

## IndexErrorException()

IndexErrorException::IndexErrorException | ( | int | i | ) |

inline

Definition at line 23 of file Exceptions.h.

## ~IndexErrorException()

IndexErrorException::~IndexErrorException | ( |  | ) |

override default noexcept

## Member Function Documentation

## index()

int IndexErrorException::index | ( |  | ) | const

inline

Definition at line 27 of file Exceptions.h.

## what()

const char * IndexErrorException::what | ( |  | ) | const

inline override noexcept

Definition at line 29 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h